package com.company.sedemo.screen.product;

import io.jmix.core.session.SessionData;
import io.jmix.ui.screen.*;
import com.company.sedemo.entity.Product;
import org.springframework.beans.factory.ObjectProvider;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("sed_Product.browse")
@UiDescriptor("product-browse.xml")
@LookupComponent("productsTable")
public class ProductBrowse extends StandardLookup<Product> {

    @Autowired
    private ObjectProvider<SessionData> sessionDataProvider;

    @Subscribe
    public void onInit(InitEvent event) {
        sessionDataProvider.getObject().setAttribute("productName", "123");
    }
    
}